
From: "Andi Kleen" <ak@suse.de>

Add new key syscalls. 

Signed-off-by: Andi Kleen <ak@suse.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/x86_64/ia32/ia32entry.S     |    4 ++++
 25-akpm/include/asm-x86_64/ia32_unistd.h |    6 +++++-
 25-akpm/include/asm-x86_64/unistd.h      |    8 +++++++-
 3 files changed, 16 insertions(+), 2 deletions(-)

diff -puN arch/x86_64/ia32/ia32entry.S~x86_64-add-new-key-syscalls arch/x86_64/ia32/ia32entry.S
--- 25/arch/x86_64/ia32/ia32entry.S~x86_64-add-new-key-syscalls	2005-01-09 23:01:32.227483784 -0800
+++ 25-akpm/arch/x86_64/ia32/ia32entry.S	2005-01-09 23:01:32.234482720 -0800
@@ -587,6 +587,10 @@ ia32_sys_call_table:
 	.quad compat_sys_mq_getsetattr
 	.quad quiet_ni_syscall		/* reserved for kexec */
 	.quad sys32_waitid
+	.quad quiet_ni_syscall		/* sys_altroot */
+	.quad sys_add_key
+	.quad sys_request_key
+	.quad sys_keyctl
 	/* don't forget to change IA32_NR_syscalls */
 ia32_syscall_end:		
 	.rept IA32_NR_syscalls-(ia32_syscall_end-ia32_sys_call_table)/8
diff -puN include/asm-x86_64/ia32_unistd.h~x86_64-add-new-key-syscalls include/asm-x86_64/ia32_unistd.h
--- 25/include/asm-x86_64/ia32_unistd.h~x86_64-add-new-key-syscalls	2005-01-09 23:01:32.228483632 -0800
+++ 25-akpm/include/asm-x86_64/ia32_unistd.h	2005-01-09 23:01:32.234482720 -0800
@@ -290,7 +290,11 @@
 #define __NR_ia32_mq_getsetattr	(__NR_ia32_mq_open+5)
 #define __NR_ia32_kexec		283
 #define __NR_ia32_waitid		284
+/* #define __NR_sys_setaltroot	285 */
+#define __NR_ia32_add_key		286
+#define __NR_ia32_request_key	287
+#define __NR_ia32_keyctl		288
 
-#define IA32_NR_syscalls 285	/* must be > than biggest syscall! */
+#define IA32_NR_syscalls 290	/* must be > than biggest syscall! */
 
 #endif /* _ASM_X86_64_IA32_UNISTD_H_ */
diff -puN include/asm-x86_64/unistd.h~x86_64-add-new-key-syscalls include/asm-x86_64/unistd.h
--- 25/include/asm-x86_64/unistd.h~x86_64-add-new-key-syscalls	2005-01-09 23:01:32.230483328 -0800
+++ 25-akpm/include/asm-x86_64/unistd.h	2005-01-09 23:01:32.235482568 -0800
@@ -556,8 +556,14 @@ __SYSCALL(__NR_mq_getsetattr, sys_mq_get
 __SYSCALL(__NR_kexec_load, sys_ni_syscall)
 #define __NR_waitid		247
 __SYSCALL(__NR_waitid, sys_waitid)
+#define __NR_add_key		248
+__SYSCALL(__NR_add_key, sys_add_key)
+#define __NR_request_key	249
+__SYSCALL(__NR_request_key, sys_request_key)
+#define __NR_keyctl		250
+__SYSCALL(__NR_keyctl, sys_keyctl)
 
-#define __NR_syscall_max __NR_waitid
+#define __NR_syscall_max __NR_keyctl
 #ifndef __NO_STUBS
 
 /* user-visible error numbers are in the range -1 - -4095 */
_
